Subject: [OPSAWG] 🔔 WG Adoption Call for draft-lear-opsawg-ol-01

From: Henk Birkholz <[email-masked]>
Date: Mon, 4 Oct 2021 22:00:11 +0200

Dear OPSAWG members,

this starts a call for Working Group Adoption of

> https://datatracker.ietf.org/doc/html/draft-lear-opsawg-ol-01

ending on Monday, October 18th.

As a reminder, this I-D describes an extension to MUD that allows MUD 
file authors to specify ownership and licenses in the MUD files 
themselves. The corresponding YANG augment defined can be used outside 
the scope of MUD as well.

Please reply with your support and especially any substantive comments 
you may have.

For the OPSAWG co-chairs,

Henk

---

From: Michael Richardson <[email-masked]>
Date: Mon, 04 Oct 2021 16:51:15 -0400

> As a reminder, this I-D describes an extension to MUD that allows MUD file
    > authors to specify ownership and licenses in the MUD files themselves. The
    > corresponding YANG augment defined can be used outside the scope of MUD as
    > well.

I have read this version of the document and previous versions.
I am happy to adopt it.

I note that SPDX is now some ISO standard 5962:2021.
At present, the ISO still seems to be charging for this document, despite
having said they would not.

I don't propose to change anything in the document to include "5962" in it.
I do not believe that the ISO/IEC adheres to the IETF's open-stand.org principles.

While spdx.org redirects to spdx.dev, it appears that:

https://spdx.org/licenses/
and
https://spdx.dev/licenses/

contain the same information, but with a different CSS.  I prefer the one at
spdx.org, but I imagine that it will not remain.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Henk Birkholz <[email-masked]>
Date: Mon, 4 Oct 2021 22:56:30 +0200

Hi all,

afaik, SPDX 2.2.1 exactly reflects ISO 5962:2021.

The specification can be found here: https://github.com/spdx/spdx-spec

Viele Grüße,

Henk

On 04.10.21 22:51, Michael Richardson wrote:
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>

---

From: "Joe Clarke (jclarke)" <[email-masked]>
Date: Mon, 4 Oct 2021 21:06:49 +0000

I find this work useful, and I previously commented that I think having
this work with instance data would also be potentially useful.

Joe

---

From: Benoit Claise <[email-masked]>
Date: Tue, 5 Oct 2021 07:23:14 +0200

> this work with instance data would also be potentially useful.
+1 with the instance data combination.

Regards, B
> .

---

From: <[email-masked]>
Date: Tue, 5 Oct 2021 08:09:12 +0000

Hi all, 

I support adopting this document. 

Some of the comments raised back in 05/2021 are still pending. I'm reiterating them here, fwiw:

==
(1)

OLD: 

     import ietf-inet-types {
       prefix inet;
     }

NEW
     import ietf-inet-types {
       prefix inet;
       reference
         "RFC 6991: Common YANG Data Types, Section 4";
     }

(2) Use the prefix as defined in 8520:

OLD: 

     import ietf-mud {
       prefix mud;
     }

NEW:

     import ietf-mud {
       prefix ietf-mud;
       reference
         "RFC 8520: Manufacturer Usage Description Specification";
     }

(3)

You may remove the note about normative language in the description of the module given that you don't use it. 

(4)

OLD: 
       reference
         "RFC XXXX: Extension for ownership and licensing";
NEW:
       reference
         "RFC XXXX: Ownership and licensing statements in YANG";

(5)

Rather than using "leaf-list owners", I would define this as a list keyed by owners and which may include a leaf-list of licenses. Rather than defining license as a choice, I would use a "union".

(6)

OLD: 

       "ol": {
         "owners": [
           "Copyright (c) FrobMaster 2021. All Rights Reserved"
         ],
         "spdx-tag": "0BSD"
       },

NEW:
       "ietf-ol:ol": {
         "owners": [
           "Copyright (c) FrobMaster 2021. All Rights Reserved"
         ],
         "spdx-tag": "0BSD"
       }, 

(7) Please update the IANA section as follows: 

OLD:
   The IANA is requested to add "ol" to the MUD extensions registry as
   follows:

     Extension Name: ol
     Standard reference: This document

NEW:
   The IANA is requested the following entry to the MUD extensions registry
   available at: https://www.iana.org/assignments/mud/mud.xhtml#mud-extensions 

     Extension Name: ol
     Reference: This document

(8) Please update the IANA section with the following:

NEW

   This document requests IANA to register the following URI in the "ns"
   subregistry within the "IETF XML Registry" [RFC3688]:

         URI: urn:ietf:params:xml:ns:yang:ietf-ol
         Registrant Contact: The IESG.
         XML: N/A; the requested URI is an XML namespace.

   This document requests IANA to register the following YANG module in
   the "YANG Module Names" subregistry [RFC6020] within the "YANG
   Parameters" registry.

         name: ietf-ol
         namespace: urn:ietf:params:xml:ns:yang:ietf-ol
         maintained by IANA: N
         prefix: ol
         reference: RFC XXXX
===

Cheers,
Med

> -----Message d'origine-----
> De : OPSAWG <[email-masked]> De la part de Henk Birkholz
> Envoyé : lundi 4 octobre 2021 22:00
> À : opsawg <[email-masked]>
> Objet : [OPSAWG] 🔔 WG Adoption Call for draft-lear-opsawg-ol-01
> 
> Dear OPSAWG members,
> 
> Please reply with your support and especially any substantive comments you
> may have.
> 
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Henk Birkholz <[email-masked]>
Date: Wed, 20 Oct 2021 10:58:29 +0200

Dear OPSAWG members,

this email concludes the call for Working Group Adoption on 
https://datatracker.ietf.org/doc/html/draft-lear-opsawg-ol-01.

We received a reasonable number of positive replies, no objections, and 
a few comments about consideration of instance data.

The chairs believe this I-D is ready for adoption and for the working 
group to work on.

Authors please rename the draft to be draft-ietf-opsawg-ol-00, keeping 
the content as is, and resubmit. Furthermore, please initiate a 
discussion about instance data scope on the list as the editors of this 
memo.

Henk